[Unit Statistics Mod]

; This config file has several parts:

; 1. General: settings that don't fit anywhere else
; 2. Track xxx: Allows you to disable certain features. This affects both the calculation and visual representation of data.
; 3. Show xxx: Allows you to disable certain features: This affects only the visual representation
; 4. Unit Naming: Allows you to customize built-in name generators.

; Strictly speaking, category 2 (Track xxx) is no longer necessary, since all performance issues have been solved. 
; But if you can't disable the visual representation in part 3 (Show xxx), you can do so in part 2 (and vice versa).


;#####General#####

; Change this to either enable or disable help panes in the unit statistics screens
; Default value is True
Show Help = True

; If this is enabled, all players share one high score list ("Track All Players" is required for this to have effect)
; Default value is False
Global High Score = False




;#####Track Information#####


; Change this to either enable or disable unit statistics for all players (required for hotseat games)
; Default value is false
Track All Players = False


; Change this to either enable or disable turn information tracking (turns fortified).
; Default value is true
Track Turn Information = True


; Change this to either enable or disable logging of your currently best units.
; Default value is true
Track Unit High Score = True


; Change this to either enable or disable movement tracking.
; Default value is true
Track Unit Movement = True


; Change this to either enable or disable unit statistics for non-combatants (settlers, workers, missionaries, great people).
; Default value is true
Track Non-Combat Units = True


; Change this to either enable or disable goody received tracking
; Default value is true
Track Goody Received = True


; Change this to either enable or disable unit promotion logging.
; Default value is true
Track Unit Promotions = True



;#####Show Information#####


; Change this to either enable or disable the display of other players' unit and player statistics.
; Leave disabled if you don't want any additional information about enemy units. Only works when "Track All Players" enabled.
; Default value is false
Show All Players = False


; Change this to show or hide the number of battles, units killed, units lost and retreats.
; Default value is true
Show Combat Count = True


; Change this to show or hide the damage your unit has inflicted/suffered.
; Default value is true
Show Damage Information = True


; Change this to show or hide the unit creation date.
; 0 = no service information
; 1 = "Turns in service: 8 (320 years)"
; 2 = "Years in service: 320 (8 turns)"
; 3 = "Turns in service: 8
; 4 = "Years in service: 320
; Default value is 1
Show Unit Service Information = 1


; Change this to show or hide combat odds statistics.
; Default value is true
Show Odds = True


; Change this to show or hide unit experience.
; Default value is true
Show Experience = True


; Change this to show or hide the unit event log
; Default value is true
Show Unit Event Log = True


; Change this to display the turn information in the unit events log
; Default value is true
Show Log Turn Information = True


; Change this to display the year information in the unit events log
; Default value is true
Show Log Date Information = True


; Change this to switch the order that the turn and year for the logged event 
; are displayed. For example if set to false then a unit that was created in 
; turn 0 and year 4000BC would be displayed as "Turn 0 (4000BC): <Unit type> 
; created".
; Default value is true
Show Log Turn Information First = True



;#####Unit Naming#####



; Change this for different name generators.
; 0 = no unit naming (unit stats are lost when upgrading units!)
; 1 = Warrior 1, Warrior 2, Axeman 1, Axeman 2
; 2 = Random Name Generator by TheLopez
; 3 = Nexus Default I.E. Tank 1st Army 1st Corp 1st Div
; Default value is 0
Unit Naming = 0


; Change this to enable or disable the recycling of dead unit's names.
; Default value is true
Unit Name Recycling = true


; This only works if Custom Name = 3
; This determines numbering
; 0 = 1 ,2, 3 ... 7 for numbering IE Tank 1 Army 1 Corp 1 Div
; 1 = 1st, 2nd, 3rd for numbering IE Tank 1st Army 1st Corp 1st Div
; Default is 1
Unit Name Number = 1

; This only works if Custom Name = 3
; This determines Naming
; 0 = A, C, D for naming IE Tank 1st A 1st C 1st D  or 1 A 1 C 1 D
; 1 = Army, Corp, Div for naming IE Tank 1st Army 1st Corp 1st Div or 1 Army 1 Corp 1 Div
; Default is 1
Unit Name Abreviation = 0

; This only works if Custom Name = 3
; This determines spacing
; 0 = no space between number and naming IE Tank 1stArmy 1stCorp 1stDiv
; 1 = space between number and name IE Tank 1st Army 1st Corp 1st Div
; Default is 0
Unit Name Spacing = 0

; This only works if Custom Name = 3
; This sets whether or not the name has unit desc in it or not
; 1 = Warrior 1stA 1stC 1stD (Warrior) vs 
; 0 = 1stA 1stC 1stD (Warrior)
; default = 0
Unit Name Desc = 0